Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class FetchMode

    java.lang.Object
      org.hibernate.FetchMode

All Implemented Interfaces:
  Serializable

    public final class FetchMode

extends Object
implements Serializable

Represents an association fetching strategy. This is used together with the `Criteria` API to specify runtime fetching strategies.
For HQL queries, use the `FETCH` keyword instead.

Author:
  Gavin King
See Also:
  `Criteria.setFetchMode(java.lang.String, FetchMode)`, Serialized Form

Field Summary
`static FetchMode` | `DEFAULT` Default to the setting configured in the mapping file.
`static FetchMode` | `EAGER` Deprecated. use `FetchMode.JOIN`
`static FetchMode` | `JOIN` Fetch using an outer join.
`static FetchMode` | `LAZY` Deprecated. use `FetchMode.SELECT`
`static FetchMode` | `SELECT` Fetch eagerly, using a separate select.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final FetchMode DEFAULT

  Default to the setting configured in the mapping file.

### JOIN

    public static final FetchMode JOIN

  Fetch using an outer join. Equivalent to `fetch="join"`.

### SELECT

    public static final FetchMode SELECT

  Fetch eagerly, using a separate select. Equivalent to `fetch="select"`.

### LAZY

    public static final FetchMode LAZY

  Deprecated. use `FetchMode.SELECT`
  Fetch lazily. Equivalent to `outer-join="false"`.

### EAGER

    public static final FetchMode EAGER

  Deprecated. use `FetchMode.JOIN`
  Fetch eagerly, using an outer join. Equivalent to `outer-join="true"`.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD